Subject: Re: ADD does not INVALIDATE current PATTERN

From: "Michael Fair" <[email-masked]>
Date: Fri, 29 Aug 2003 18:18:27 -0700

> I agrees that it changes the set,  does not change any RECURRENCE-ID on
> existing set.  I am trying to avoid the word CHANGE PATTERN, because it
> has been said that any change in PATTERN would cause all RECURRENCE-IDs to
> be invalid.  If you can word smith this better please do so... Thanks

I'd have to say that in many respects I agree with the assement.
In the same way a new SEQUENCE value always obsoletes/invalidates
the old values every pattern change will also cause a SEQUENCE bump.

Now most often there will be many RECURRENCE-IDs that exist in both
the old and the new sets.  Existence in both sets is really meaningless
because the SEQUENCE increase invalidates the attendence STATUS.

However, assuming that the instance hasn't changed (e.g. if there
were any instance updates those updates were propogated), then
it's safe to just automatically transfer the old STATUS to the
new SEQUENCE version of the object.

Perhaps something along the lines of:
"ADD can only add to the number of instances in the current pattern."

Or, if you're looking for something about the pattern change:

Any pattern change that results in the exclusion of any prior
RECURRENCE-ID value implicitly cancels any instances referenced
by the now excluded values.  This implies that a CUA discovering
that it has now invalid instances should remove those and only
those instances whose RECURRENCE-ID is now excluded.

-- Michael --